inline void set(double *A, double *B, const int n);

inline void mult(const double *A, const double *B, double *C, const int n);

int main(){

	const int n = 700;
	int n_iterations = 10;
	
	double *A = new double[n * n];	
	double *B = new double[n * n];
	double *C = new double[n * n];

	set(A, B, n);
	
	for (int i = 0; i < n_iterations; ++i) {
		mult(A, B, C, n);
	}
}

inline void set(double *A, double *B, const int n)
{
	//implement!
}

inline void mult(const double *A, const double *B, double *C, const int n)
{
	//implement!
}

